package edu.umd.dawn.common.logging;

import java.util.List;
import java.util.Map;

import edu.umd.dawn.common.models.UserAgent;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

@Data
@EqualsAndHashCode(callSuper = false)
@SuperBuilder
public class RequestLog extends Log {

    @Builder.Default
    private String type = "request";

    private String userId;

    private double duration;
    private int statusCode;
    private String method;
    private String path;
    private List<String> ips;

    @ToString.Exclude
    private Map<String, String> headers;

    @ToString.Exclude
    private Map<String, String> parameters;

    @ToString.Exclude
    private UserAgent userAgent;
}
